%define py_major %(rpm -q python --queryformat '%%{version}' | cut -b1-3 2>/dev/null)
Summary: BitTorrent is a free speech tool
Name: bittorrent
Version: 4.0.2
Release: 2tr
License: BitTorrent Open Source License
Group: Trustix Official
Source: http://www.bittorrent.com/dl/BitTorrent-%{version}.tar.gz
Source1: bittorrent.init
Source2: bittorrent.sysconfig
Source3: bittorrent.logrotate
URL: http://www.bittorrent.com/index.html
Requires: /usr/lib/python%{py_major} logrotate
PreReq: shadow-utils chkconfig tsl-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root



%description
BitTorrent gives you the same freedom to publish previously enjoyed by
only a select few with special equipment and lots of money.
You have something terrific to publish -- a large music or video file,
software, a game or anything else that many people would like to have.
But the more popular your file becomes, the more you are punished by
soaring bandwidth costs. If your file becomes phenomenally successful 
and a flash crowd of hundreds or thousands try to get it at once, your
server simply crashes and no one gets it.  There is a solution to this
vicious cycle. BitTorrent, the result of over two years of intensive 
development, is a simple and free software product that addresses all
of these problems.

%prep
%setup -q -n BitTorrent-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initdir}
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/var/cache/bittorrent
mkdir -p $RPM_BUILD_ROOT/var/lib/bittorrent
mkdir -p $RPM_BUILD_ROOT/var/log/bittorrent

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/bittorrent
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/bittorrent
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/bittorrent

%pre
if ! getent group bttrack >/dev/null; then
  groupadd -r -g 70 bttrack
fi
if ! getent passwd bttrack >/dev/null; then
  useradd -d /var/lib/bittorrent -g bttrack -m -u 70 bttrack
fi

rm -rf $RPM_BUILD_ROOT/usr/share/doc/BitTorrent-4.0.1

%post
chkconfig --add bittorrent
/sbin/restart_maybe bittorrent

%preun
if [ $1 = 0 ]; then
	service bittorrent stop
	chkconfig --del bittorrent
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc LICENSE.txt README.txt credits.txt redirdonate.html
%{_initdir}/bittorrent
%config(noreplace) /etc/sysconfig/bittorrent
%config(noreplace) /etc/logrotate.d/bittorrent
/usr/bin
/usr/lib/python%{py_major}/site-packages/BitTorrent
/usr/share/pixmaps/BitTorrent-%{version}
%attr(0700,bttrack,bttrack) /var/cache/bittorrent
%attr(0700,bttrack,bttrack) /var/lib/bittorrent
%attr(0770,bttrack,syslog) /var/log/bittorrent


%changelog
* Tue May 31 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.0.2-2tr
- Start bittorrent at last, chkconfig changed to 99 01. Fix Bug #803.
- Added missing PreReq for chkconfig and tsl-utils. ( Ref. Bug #800)

* Thu May 26 2005 Nived Gopalan <nived at comodo dot com> 4.0.2-1tr
- New upstream
- Fixed %preun to perform actions on uninstall
- Fixed init script to correct sysconfig usage and have a working init script.

* Fri May  6 2005 Erlend Midttun <erlendbm at trustix dot org> 4.0.1-5tr
- Added init script.

* Fri May  6 2005 Hasher J <hasher at comodo dot com> 4.0.1-4tr
- Added %doc

* Mon Apr 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 4.0.1-3tr
- This is an official package, group should be "Trustix Official"

* Wed Apr 12 2005 Hasher Jamaludeen <hasher at comodo dot com> 4.0.1-1hr
- This is a contrib package, group should be "Trustix Contrib"

* Fri Apr 11 2005 Hasher Jamaludeen <hasher at comodo dot com> 4.0.1-1tr
- New Upstream.

* Fri Apr 08 2005 Hasher Jamaludeen <hasher at comodo dot com> 4.0.0
- Initial spec file for TSL-2.2

